This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 868505 - ValueError: Cannot remove non-leaf device 'sda3'
ValueError: Cannot remove non-leaf device 'sda3'
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David Lehman
Fedora Extras Quality Assurance
abrt_hash:36c2d383000a1364485a5907a04...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-20 06:56 EDT by Steve Tyler
Modified: 2014-02-05 17:50 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 17:50:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: ifcfg.log (641 bytes, text/plain)
2012-10-20 06:56 EDT, Steve Tyler
no flags Details
File: anaconda-tb (311.21 KB, text/plain)
2012-10-20 06:56 EDT, Steve Tyler
no flags Details
File: product (6 bytes, text/plain)
2012-10-20 06:56 EDT, Steve Tyler
no flags Details
File: type (9 bytes, text/plain)
2012-10-20 06:56 EDT, Steve Tyler
no flags Details
File: environ (783 bytes, text/plain)
2012-10-20 06:56 EDT, Steve Tyler
no flags Details
File: storage.log (144.00 KB, text/plain)
2012-10-20 06:56 EDT, Steve Tyler
no flags Details
File: version (11 bytes, text/plain)
2012-10-20 06:56 EDT, Steve Tyler
no flags Details
File: program.log (34.20 KB, text/plain)
2012-10-20 06:56 EDT, Steve Tyler
no flags Details
File: anaconda.log (36.87 KB, text/plain)
2012-10-20 06:56 EDT, Steve Tyler
no flags Details
File: syslog (59.75 KB, text/plain)
2012-10-20 06:56 EDT, Steve Tyler
no flags Details
File: hashmarkername (8 bytes, text/plain)
2012-10-20 06:56 EDT, Steve Tyler
no flags Details
File: packaging.log (2.38 KB, text/plain)
2012-10-20 06:56 EDT, Steve Tyler
no flags Details
File: cmdline_file (96 bytes, text/plain)
2012-10-20 06:56 EDT, Steve Tyler
no flags Details
File: release (24 bytes, text/plain)
2012-10-20 06:56 EDT, Steve Tyler
no flags Details

  None (edit)
Description Steve Tyler 2012-10-20 06:56:27 EDT
Version-Release number of selected component:
anaconda-18.19

Additional info:
libreport version: 2.0.14
cmdline:        /usr/bin/python  /sbin/anaconda
kernel:         3.6.1-1.fc18.x86_64

description:
:The following was filed automatically by anaconda:
:anaconda 18.19 exception report
:Traceback (most recent call first):
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/devicetree.py", line 374, in _removeDevice
:    raise ValueError("Cannot remove non-leaf device '%s'" % dev.name)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/devicetree.py", line 424, in registerAction
:    self._removeDevice(action.device)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/__init__.py", line 1229, in destroyDevice
:    self.devicetree.registerAction(action)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/__init__.py", line 800, in recursiveRemove
:    self.destroyDevice(device)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/lib/resize.py", line 243, in _scheduleActions
:    self.storage.recursiveRemove(device)
:ValueError: Cannot remove non-leaf device 'sda3'
Comment 1 Steve Tyler 2012-10-20 06:56:29 EDT
Created attachment 630412 [details]
File: ifcfg.log
Comment 2 Steve Tyler 2012-10-20 06:56:31 EDT
Created attachment 630413 [details]
File: anaconda-tb
Comment 3 Steve Tyler 2012-10-20 06:56:33 EDT
Created attachment 630414 [details]
File: product
Comment 4 Steve Tyler 2012-10-20 06:56:34 EDT
Created attachment 630415 [details]
File: type
Comment 5 Steve Tyler 2012-10-20 06:56:36 EDT
Created attachment 630416 [details]
File: environ
Comment 6 Steve Tyler 2012-10-20 06:56:37 EDT
Created attachment 630417 [details]
File: storage.log
Comment 7 Steve Tyler 2012-10-20 06:56:39 EDT
Created attachment 630418 [details]
File: version
Comment 8 Steve Tyler 2012-10-20 06:56:41 EDT
Created attachment 630419 [details]
File: program.log
Comment 9 Steve Tyler 2012-10-20 06:56:42 EDT
Created attachment 630420 [details]
File: anaconda.log
Comment 10 Steve Tyler 2012-10-20 06:56:44 EDT
Created attachment 630421 [details]
File: syslog
Comment 11 Steve Tyler 2012-10-20 06:56:45 EDT
Created attachment 630422 [details]
File: hashmarkername
Comment 12 Steve Tyler 2012-10-20 06:56:46 EDT
Created attachment 630423 [details]
File: packaging.log
Comment 13 Steve Tyler 2012-10-20 06:56:48 EDT
Created attachment 630424 [details]
File: cmdline_file
Comment 14 Steve Tyler 2012-10-20 06:56:49 EDT
Created attachment 630425 [details]
File: release
Comment 15 Reartes Guillermo 2012-10-23 12:06:18 EDT
i clycled manual partitioning - automaic paritioning multiple times, the last one i set two partitions to deletion in the reclaim space (automatic partitioning).

Package: anaconda-18.19
OS Release: Fedora release 18-Beta-TC6
Comment 16 Chris Lumens 2012-11-06 10:07:12 EST
Is this reproducible with anaconda-18.25-1?
Comment 17 Steve Tyler 2012-11-08 18:03:51 EST
This record appears in /tmp/storage.log (from the attached anaconda-tb):

03:54:41,557 DEBUG storage: sda3 has -1 kids

Is "-1" an expected value?
Comment 18 Steve Tyler 2012-11-09 05:35:34 EST
Attempting to reproduce Bug 868505.

Package: anaconda-18.19-1.fc18.x86_64
OS Release: Fedora release 18
Comment 19 Steve Tyler 2012-11-09 06:46:37 EST
Reproducer with:
anaconda-18.19-1.fc18.x86_64
Fedora-18-Beta-TC6-x86_64-Live-Desktop.iso

Create a 12 GB disc image.[1]

Complete a minimal F17 install[2] with standard partitions and default partitioning using the DVD.[3]

Start the F18-Beta-TC6 installer on the Live CD.[4]

Click Installation Destination.
Click Continue.
Check "I don't need help ...".
Click Reclaim space.
Click "+" to expand list of partitions.
Click Root.
Click "+" "Customize...".
Check Encrypt.
Click Finish Partitioning.
Enter Disk Encryption Passphrase.
Click Save Passphrase.

Click Installation Destination.
Click Continue.
Uncheck "I don't need help ...".
Click Reclaim space.
Select Delete Action for luks Filesystem.
Click Reclaim space.
Exception occurs: ValueError: Cannot remove non-leaf device 'sda3'

[1] $ qemu-img create f18-test-2.img 12G

[2] $ qemu-kvm -m 2048 -hda f18-test-2.img -cdrom ~/xfr/fedora/F17/Fedora-17-x86_64-DVD.iso -usb -vga qxl -boot menu=on -usbdevice mouse

[3] Uncheck "Use LVM" in the installation type dialog.
    Click the "Use All Space" button.

[4] $ qemu-kvm -m 2048 -hda f18-test-2.img -cdrom ~/xfr/fedora/F18/F18-Beta/TC6/Fedora-18-Beta-TC6-x86_64-Live-Desktop.iso -usb -vga qxl -boot menu=on -usbdevice mouse
    The installer is anaconda-18.19-1.fc18.x86_64.
Comment 20 Fedora End Of Life 2013-12-21 10:09:17 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 21 Fedora End Of Life 2014-02-05 17:50:35 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.